Skip to navigation

Decline Tms Invitation

Decline an invitation to share TMS data after being invited by a partner.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tms_invitation_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
decline_reasonstring or nullOptional

Reason for declining the invitation (e.g., ‘Not interested’, ‘Already using another service’)

Response

Successful Response
idstringformat: "uuid"
Unique invitation identifier
created_atdatetime
When the invitation was created
expires_atdatetime
The expiration date and time of the invitation
expires_in_hoursinteger
The number of hours the invitation is valid for.
statusenum

The current status of the invitation (active, accepted, declined, expired, or deleted)

Allowed values:
tms_account_refstring
Your internal identifier for the TMS account. Use this to map Catena TMS accounts back to your system.
partner_idstringformat: "uuid"
Your organization ID requesting access to TMS account data
partner_slugstring or null
The slug of your organization
accepted_atdatetime or null
The date and time the invitation was accepted. Null if not accepted.
accepted_bystring or null
Identifier of who accepted the invitation on behalf of the TMS account. Null if not accepted.
pre_registration_access_tokenstring or null

The JWT token used to pre-register the TMS account. It allows the TMS account to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.

pre_registration_refresh_tokenstring or null

The refresh token used to pre-register the TMS account. It allows the TMS account to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.

decline_reasonstring or null
The reason provided for declining the invitation. Null if invitation was not declined.
declined_atdatetime or null
The date the invitation was declined. Null if invitation was not declined.
limit_tmslist of strings or null
Restrict which transportation management systems the TMS account can connect to.
exclude_tmslist of strings or null
Exclude specific transportation management systems from the ones shown to the TMS account.
permissionsmap from strings to enums

Defines which TMS-sourced resources (loads, shipments, carriers, etc.) the TMS account must grant access to and the permission level for each.

Allowed values:
tms_account_idstring or nullOptionalformat: "uuid"
The Catena TMS account ID created after accepting the invitation. Null if invitation has not been accepted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error